Skip to main content
DELETE
/
core
/
v3
/
employee-office-assignations
Unassign employee from office
curl --request DELETE \
  --url https://api-{region}.sesametime.com/core/v3/employee-office-assignations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api-{region}.sesametime.com/core/v3/employee-office-assignations"

payload = {
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employeeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
officeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api-{region}.sesametime.com/core/v3/employee-office-assignations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": "",
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Employee object needs to be unassigned to Office object

employeeId
string<uuid>
required

The identifier of the employee

officeId
string<uuid>
required

The identifier of the office

Response

200 - application/json

Object

data
string
Example:

""

meta
object